<?php
/*
 * ChangeMainImage
 *
 * Copyright(c) 2009-2012 NAKWEB CO.,LTD. All Rights Reserved.
 *
 * http://ec-cube.nakweb.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/**
 * メインイメージ変更 のページクラス.
 *
 * @package ChangeMainImage
 * @author NAKWEB CO.,LTD.
 */
class ChangeMainImage extends SC_Plugin_Base {

    /**
     * コンストラクタ
     *
     */
    public function __construct(array $arrSelfInfo) {
        parent::__construct($arrSelfInfo);
    }

    /**
     * インストール
     * installはプラグインのインストール時に実行されます.
     * 引数にはdtb_pluginのプラグイン情報が渡されます.
     *
     * @param array $arrPlugin plugin_infoを元にDBに登録されたプラグイン情報(dtb_plugin)
     * @return void
     */
    function install($arrPlugin) {
        // ファイルコピー
        if(copy(PLUGIN_UPLOAD_REALDIR . "ChangeMainImage/logo.png", PLUGIN_HTML_REALDIR . "ChangeMainImage/logo.png") === false) print_r("失敗");
        if(copy(PLUGIN_UPLOAD_REALDIR . "ChangeMainImage/ChangeMainImage.jpg", PLUGIN_HTML_REALDIR . "ChangeMainImage/ChangeMainImage.jpg") === false) print_r("失敗");
    }

    /**
     * アンインストール
     * uninstallはアンインストール時に実行されます.
     * 引数にはdtb_pluginのプラグイン情報が渡されます.
     *
     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
     * @return void
     */
    function uninstall($arrPlugin) {
    }

    /**
     * アップデート
     * updateはアップデート時に実行されます.
     * 引数にはdtb_pluginのプラグイン情報が渡されます.
     *
     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
     * @return void
     */
    function update($arrPlugin) {
        // nop
    }

    /**
     * 稼働
     * enableはプラグインを有効にした際に実行されます.
     * 引数にはdtb_pluginのプラグイン情報が渡されます.
     *
     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
     * @return void
     */
    function enable($arrPlugin) {
        // nop
    }

    /**
     * 停止
     * disableはプラグインを無効にした際に実行されます.
     * 引数にはdtb_pluginのプラグイン情報が渡されます.
     *
     * @param array $arrPlugin プラグイン情報の連想配列(dtb_plugin)
     * @return void
     */
    function disable($arrPlugin) {
        // nop
    }

    /**
     * 処理の介入箇所とコールバック関数を設定
     * registerはプラグインインスタンス生成時に実行されます
     *
     * @param SC_Helper_Plugin $objHelperPlugin
     */
    function register(SC_Helper_Plugin $objHelperPlugin) {
        $objHelperPlugin->addAction("LC_Page_Index_action_after", array($this, "index_action_after"));
        $objHelperPlugin->addAction("prefilterTransform", array(&$this, "prefilterTransform"));
    }

    function index_action_after($objPage){
    }

    function prefilterTransform(&$source, LC_Page_Ex $objPage, $filename) {
        $objTransform = new SC_Helper_Transform($source);
        $template_dir = PLUGIN_UPLOAD_REALDIR ."ChangeMainImage/templates/";
        switch($objPage->arrPageLayout['device_type_id']){
            default:
				$template_dir .= 'default/';
            	if(strpos($filename, "index.tpl") !== false) {
                	$objTransform->select("div#main_image")->replaceElement(file_get_contents($template_dir . "index.tpl"));
            	}
				break;
        }
        $source = $objTransform->getHTML();
    }
}
?>
